| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cv::MultiTrackerTLD Class Reference
Tracking API

Multi Object Tracker for TLD. More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::MultiTrackerTLD:

## Public Member Functions
bool | update_opt (InputArray image)
| Update all trackers from the tracking-list, find a new most likely bounding boxes for the targets by optimized update method using some techniques to speedup calculations specifically for MO TLD. The only limitation is that all target bounding boxes should have approximately same aspect ratios. Speed boost is around 20%. More...
Public Member Functions inherited from cv::MultiTracker_Alt
| MultiTracker_Alt ()
| Constructor for Multitracker. More...
bool | addTarget (InputArray image, const Rect2d &boundingBox, Ptr< Tracker > tracker_algorithm)
| Add a new target to a tracking-list and initialize the tracker with a known bounding box that surrounded the target. More...
bool | update (InputArray image)
| Update all trackers from the tracking-list, find a new most likely bounding boxes for the targets. More...

## Additional Inherited Members
Public Attributes inherited from cv::MultiTracker_Alt
std::vector< Rect2d > | boundingBoxes
| Bounding Boxes list for Multi-Object-Tracker. More...
std::vector< Scalar > | colors
| List of randomly generated colors for bounding boxes display. More...
int | targetNum
| Current number of targets in tracking-list. More...
std::vector< Ptr< Tracker > > | trackers
| Trackers list for Multi-Object-Tracker. More...

## Detailed Description

Multi Object Tracker for TLD.

TLD is a novel tracking framework that explicitly decomposes the long-term tracking task into tracking, learning and detection.

The tracker follows the object from frame to frame. The detector localizes all appearances that have been observed so far and corrects the tracker if necessary. The learning estimates detector's errors and updates it to avoid these errors in the future. The implementation is based on [103] .

The Median Flow algorithm (see cv::TrackerMedianFlow) was chosen as a tracking component in this implementation, following authors. The tracker is supposed to be able to handle rapid motions, partial occlusions, object absence etc.

See also
  Tracker, MultiTracker, TrackerTLD

## Member Function Documentation

## § update_opt()

bool cv::MultiTrackerTLD::update_opt | ( | InputArray | image | ) |

Update all trackers from the tracking-list, find a new most likely bounding boxes for the targets by optimized update method using some techniques to speedup calculations specifically for MO TLD. The only limitation is that all target bounding boxes should have approximately same aspect ratios. Speed boost is around 20%.

Parameters

  image | The current frame.

Returns
  True means that all targets were located and false means that tracker couldn't locate one of the targets in current frame. Note, that latter does not imply that tracker has failed, maybe target is indeed missing from the frame (say, out of sight)

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp